import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko.dart';

class RothkoTextStyles {
  //Display
  static final d1 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 64,
    height: 1.05,
    color: RothkoColor.kDarkNeutralDarken2,
    fontWeight: FontWeight.w600,
  );

  static final d2 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 48,
    height: 1.16,
    color: RothkoColor.kDarkNeutralDarken2,
    fontWeight: FontWeight.w600,
  );

  static final d3 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 32,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.25,
    fontWeight: FontWeight.w600,
  );

  static final d4 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 20,
    height: 1.4,
    color: RothkoColor.kDarkNeutralDarken2,
    fontWeight: FontWeight.w400,
  );

  static final d5 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 18,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.33,
    fontWeight: FontWeight.w400,
  );

  //Headings
  static final h1 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 24,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.33,
    fontWeight: FontWeight.w500,
  );

  static final h2 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 20,
    height: 1.4,
    fontWeight: FontWeight.w500,
  );

  static final h3 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 18,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.4,
    fontWeight: FontWeight.w500,
  );

  static final h4 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 16,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.5,
    fontWeight: FontWeight.w600,
  );

  static final h5 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 14,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.4,
    fontWeight: FontWeight.w600,
  );

  static final h6 = TextStyle(
      fontFamily: 'Graphik',
      fontSize: 18,
      color: RothkoColor.kDarkNeutralDarken2,
      height: 1.3,
      fontWeight: FontWeight.w400,
      letterSpacing: 0.02);

  //SubHeadings
  static final s1 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 16,
    color: RothkoColor.kDarkNeutralDarken2,
    height: 1.5,
    fontWeight: FontWeight.w500,
  );

  static final s2 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 14,
    height: 2,
    color: RothkoColor.kDarkNeutralDarken2,
    fontWeight: FontWeight.w500,
  );

  //bodyText
  static final bodyText1 = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 16,
    height: 1.5,
    color: RothkoColor.kDarkNeutralDarken1,
    fontWeight: FontWeight.w400,
  );

  static final bodyText2 = TextStyle(
    fontFamily: 'Graphik',
    color: RothkoColor.kDarkNeutralbase,
    fontSize: 14,
    height: 1.4,
    fontWeight: FontWeight.w400,
  );

  //caption
  static final caption = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 12,
    color: RothkoColor.kDarkNeutralbase,
    height: 1.33,
    letterSpacing: 0.02,
    fontWeight: FontWeight.w500,
  );

  //overline
  static final overline = TextStyle(
    fontFamily: 'Graphik',
    fontSize: 10,
    height: 1.2,
    color: RothkoColor.kDarkNeutralbase,
    fontWeight: FontWeight.w500,
    letterSpacing: 0.04,
  );
}


